@font-face {
  font-family: "GTWalsheimPro-Bold";
  src: url("../fonts/GTWalsheimPro-Bold.eot");
  src: url("../fonts/GTWalsheimPro-Bold.eot?#iefix") format("embedded-opentype"),
    url("../fonts/GTWalsheimPro-Bold.woff2") format("woff2"),
    url("../fonts/GTWalsheimPro-Bold.woff") format("woff"),
    url("../fonts/GTWalsheimPro-Bold.ttf") format("truetype"),
    url("../fonts/GTWalsheimPro-Bold.svg#GTWalsheimPro-Bold") format("svg");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GTWalsheimPro-Medium";
  src: url("../fonts/GTWalsheimPro-Medium.eot");
  src: url("../fonts/GTWalsheimPro-Medium.eot?#iefix")
      format("embedded-opentype"),
    url("../fonts/GTWalsheimPro-Medium.woff2") format("woff2"),
    url("../fonts/GTWalsheimPro-Medium.woff") format("woff"),
    url("../fonts/GTWalsheimPro-Medium.ttf") format("truetype"),
    url("../fonts/GTWalsheimPro-Medium.svg#GTWalsheimPro-Medium") format("svg");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GTWalsheimPro-Regular";
  src: url("../fonts/GTWalsheimPro-Regular.eot");
  src: url("../fonts/GTWalsheimPro-Regular.eot?#iefix")
      format("embedded-opentype"),
    url("../fonts/GTWalsheimPro-Regular.woff2") format("woff2"),
    url("../fonts/GTWalsheimPro-Regular.woff") format("woff"),
    url("../fonts/GTWalsheimPro-Regular.ttf") format("truetype"),
    url("../fonts/GTWalsheimPro-Regular.svg#GTWalsheimPro-Regular")
      format("svg");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Blog Listing */

.common_padding {
  padding: 100px 0;
}
.blog_section {
  padding-top: 160px;
}
.blog_section .sections_title {
  margin-bottom: 30px;
}
.blog_section .sections_title h1 {
  font-size: 44px;
  line-height: 48px;
  font-weight: 700;
  color: #242424;
}
.blog_cover {
  width: 100%;
  height: 100%;
  box-shadow: 0px 15px 20px 0px rgb(0 0 0 / 10%);
  overflow: hidden;
  border-radius: 22px;
  background-color: #fff;
}
.blog_img {
  width: 100%;
  height: 270px;
  background-color: #2f2e2e;
  overflow: hidden;
  display: block;
}
.blog_cover .blog_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.blog_text {
  padding: 30px;
  background-color: #fff;
}

.blog_text p {
  display: -webkit-box !important;
  -webkit-line-clamp: 3 !important;
  -webkit-box-orient: vertical !important;
  overflow: hidden !important;
}

.blog_text .blog_date {
  font-size: 14px;
  line-height: 22px;
  font-weight: 300;
  margin-bottom: 5px;
  display: block;
  color: #a19898;
}
.blog_text h5,
.blog_text .heading-five {
  margin-bottom: 10px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.blog_text h5 a,
.blog_text .heading-five a {
  color: #343434;
  font-size: 20px;
  line-height: 24px;
}
.blog_text h5 a:hover,
.blog_text .heading-five a:hover {
  color: #00afe1;
}
.blog_text p {
  font-size: 16px;
  line-height: 26px;
  font-weight: 400;
  margin-bottom: 0;
}
.blog_text .common_btn {
  background: #00afe1;
  color: #fff;
  font-size: 20px;
  line-height: 26px;
  font-weight: 500;
  font-family: "GTWalsheimPro-Medium";
  border-radius: 8px;
  width: 100%;
  text-align: center;
  transition: 0.4s;
  border: 1px solid #00afe1;
  padding: 10px 20px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}
.common_btn:hover {
  border: 1px solid #00afe1;
  background: #fff;
  color: #00afe1;
}
.blog_cover:hover .blog_img img {
  transform: scale(1.05);
}
.blog_col {
  margin-bottom: 30px;
}
.sidebar {
  padding-left: 20px;
}
.sidebar h2.widget-title {
  font-size: 20px;
  line-height: 26px;
  color: #fff;
  padding: 12px 20px;
  margin-bottom: 0;
  background-color: #010e45;
  border-radius: 20px 20px 0 0;
  max-width: 100%;
}
.sidebar ul.widget {
  padding: 15px 20px;
  background-color: #eeeeee;
  margin-bottom: 40px;
  border-radius: 0 0 20px 20px;
}
.sidebar ul.widget:nth-last-of-type(1) {
  margin-bottom: 0;
}
.sidebar ul.widget li {
  font-size: 16px;
  line-height: 22px;
  letter-spacing: 0;
  margin-bottom: 10px;
  padding-left: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  list-style-type: none;
  position: relative;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.sidebar ul.widget li:before {
  content: "";
  position: absolute;
  top: 8px;
  left: 0;
  background-color: #343434;
  width: 8px;
  height: 8px;
  border-radius: 50%;
}
.sidebar ul.widget.recent_post li {
  padding-left: 0;
  display: flex;
  align-items: center;
  gap: 15px;
}
.recent_post_img {
  width: 50px;
  height: 50px;
  overflow: hidden;
  flex-shrink: 0;
}
.recent_post_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
}
.recent_post_text span {
  display: block;
  font-size: 12px;
  line-height: 16px;
  color: #343434;
  margin-bottom: 0;
  padding-top: 4px;
}
.recent_post_text a {
  margin-bottom: 10px !important;
  display: -webkit-box !important;
  -webkit-line-clamp: 2 !important;
  -webkit-box-orient: vertical !important;
  overflow: hidden !important;
}
.sidebar ul.widget.recent_post li:before {
  display: none;
}
.sidebar ul.widget li:last-child {
  margin-bottom: 0;
  border-bottom: 0;
}
.sidebar ul.widget li a {
  color: #404040;
  font-weight: 700;
  display: block;
}
.sidebar ul.widget li a:hover {
  color: #00a3da;
}

/**/
.sidebar ul.widget.sidebar_search li {
  padding: 0;
}
.sidebar ul.widget.sidebar_search li:before {
  display: none;
}
.search_form {
  display: flex;
  align-items: flex-end;
  justify-content: flex-start;
  width: 100%;
  height: 50px;
}
.search_form input {
  background: #ffffff;
  border: 1px solid rgba(222, 222, 222, 0.54);
  border-radius: 12px 0 0 12px;
  padding: 8px 18px;
  width: 100%;
  height: 44px;
}
.search_form .submit_btn {
  background-color: #00afe1;
  color: #fff;
  width: auto;
  font-size: 16px;
  line-height: 22px;
  font-weight: 400;
  border-radius: 0 12px 12px 0;
  text-transform: capitalize;
  padding: 8px 15px;
  transition: 0.7s;
  border: none;
}
.search_form .submit_btn:hover {
  background-color: #010e45;
  color: #fff;
  transition: 0.7s;
}

/* View all btn */

.recent_post_cover {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  color: #fff;
  padding: 12px 20px;
  margin-bottom: 0;
  background-color: #010e45;
  border-radius: 20px 20px 0 0;
  max-width: 100%;
}

.recent_post_cover h2.widget-title {
  padding: 0;
  background-color: transparent;
}

.recent_post_cover .view_all {
  display: block;
  font-size: 16px;
  line-height: 20px;
}
/* View all btn */

@media (max-width: 1199px) {
  .common_padding {
    padding: 80px 0;
  }
  .blog_section {
    padding-top: 140px;
  }
  .blog_section .sections_title h1 {
    font-size: 40px;
    line-height: 44px;
  }
}
@media (max-width: 991px) {
  .common_padding {
    padding: 60px 0;
  }
  .blog_section {
    padding-top: 130px;
  }
  .blog_section .sections_title {
    margin-bottom: 20px;
  }
  .blog_section .sections_title h1 {
    font-size: 36px;
    line-height: 40px;
  }
  .sidebar {
    padding-left: 0;
    margin-bottom: 40px;
  }
  .sidebar,
  .sidebar ul.widget {
    margin-bottom: 30px;
  }
  .sidebar ul.widget li {
    font-size: 15px;
    line-height: 20px;
  }
}
@media (max-width: 767px) {
  .common_padding {
    padding: 40px 0;
  }
  .blog_section {
    padding-top: 100px;
  }
  .blog_section .sections_title h1 {
    font-size: 32px;
    line-height: 36px;
  }
  .sidebar,
  .sidebar ul.widget {
    margin-bottom: 20px;
  }
  .blog_text {
    padding: 25px;
  }
  .blog_text .common_btn {
    padding: 5px 10px;
    font-size: 16px;
  }
}
@media (max-width: 575px) {
  .common_padding {
    padding: 40px 0;
  }
  .blog_section {
    padding-top: 100px;
  }
  .blog_section .sections_title h1 {
    font-size: 28px;
    line-height: 32px;
  }
  .sidebar ul.widget {
    padding: 10px 15px;
    margin-bottom: 30px;
  }
  .blog_img {
    height: 240px;
  }
  .blog_text {
    padding: 20px;
  }
  .blog_detail_page ul li:before {
    top: 6px;
  }
}
@media (max-width: 575px) {
  .blog_text .common_btn {
    font-size: 14px;
    border-radius: 5px;
    padding: 5px 6px;
    white-space: nowrap;
  }
}
